function ObtencionAngulos_RLprecision(sujeto_ini,sujeto_fin,repeat_ini,repeat_end,trial_ini,trial_end,total,corte,filter,Wc,split)
global ref_inputname1
global trial_inputname1
global inputname2R
global inputname2L
global Angles;
global AnglesS;
global PalmarArch


global punto_corte_ini
global punto_corte_fin

cd ..;

s=1;
for Sujeto=sujeto_ini:sujeto_fin   % sujetos
    for Repeticion=repeat_ini:repeat_end 
    
    
    cd Subjects; cd (['Sujeto' num2str(Sujeto)]); cd (['Repeticion' num2str(Repeticion)])
    Folder=pwd; % Working folder
    
    %                          ANGLE CALCULATION
    % --------------------------------------------------------------------------
    
    RefR=[ref_inputname1 num2str(1) inputname2R]; % Hand extended, closed, lying on the table
    RefL=[ref_inputname1 num2str(1) inputname2L]; % Hand extended, closed, lying on the table
    
    MED_ang_all=cell(trial_end,1);
    
    realtime=cell((trial_end-trial_ini)+1,1);
    for trial= trial_ini:trial_end
        MED_R=[trial_inputname1 num2str(trial) inputname2R];
        MED_L=[trial_inputname1 num2str(trial) inputname2L];
        % Angle calculation
        [MED_angR,MED_angL,realtime_vec]=obtain_angles_RL_abd_rel_precision(corte,Folder,MED_R,MED_L,RefR,RefL);
        if PalmarArch==0
            cd ..; cd ..;
            HandSize=xlsread('HandSize.xlsx');
            HB=HandSize(Sujeto,2);
            HL=HandSize(Sujeto,3);
            cd (['Sujeto' num2str(Sujeto)]); cd (['Repeticion' num2str(Repeticion)])
            for i=1:size(MED_angR,1)
                MED_angR(i,14)=rad2deg(atan((tan(deg2rad(MED_angR(i,14)))*0.385*HB)/(0.285*HL)));
                MED_angL(i,14)=rad2deg(atan((tan(deg2rad(MED_angL(i,14)))*0.385*HB)/(0.285*HL)));
            end
            MED_ang_all{trial}=[MED_angR,MED_angL];
            realtime{trial}=realtime_vec;
        else
            MED_ang_all{trial}=[MED_angR,MED_angL];
            realtime{trial}=realtime_vec;
        end
    Angles(s).Sujeto=Sujeto;
    Angles(s).Repeticion=Repeticion;
    Angles(s).Accion=trial;
    Angles(s).Angulos=MED_ang_all{trial};
    Angles(s).Tiempo=realtime{trial};
    
    s=s+1;
    end

    cd ..; cd ..; cd ..;cd ..;
    
    cd guant
    
    end
end

cd ..





    if filter ==1;
        cd 'guant'; cd 'Code';   
        %                          FILTERING
        % --------------------------------------------------------------------------
        %design a second order filter using a butterworth design technique 
        [b a] = butter(2, Wc, 'low');
            for s=1:total
                for p=2:17
                Angles(s).Angulos(:,p)= filtfilt(b,a,Angles(s).Angulos(:,p));
                end 
                for c=19:46
                Angles(s).Angulos(:,c)= filtfilt(b,a,Angles(s).Angulos(:,c));
                end
             end
         cd ..; cd ..; 
    end
    
    
    
    %%%%%%%%%%%%%%%%%%%% ATENCIN, MODIFICADO %%%%%%%%%%%%%%%%%%%%%%%
    
    if split ==1;

            %                          SPLITTING
        % --------------------------------------------------------------------------

    
        k=1;
   
        for Sujeto=sujeto_ini:sujeto_fin   % sujetos
            for Repeticion=repeat_ini:repeat_end  % repeticiones
                for trial=trial_ini:trial_end %acciones
                    for s=1:total;
                    if Angles(s).Sujeto==Sujeto && Angles(s).Repeticion==Repeticion && Angles(s).Accion==trial
                    cd guant; cd Subjects; cd (['Sujeto' num2str(Sujeto)]); cd (['Repeticion' num2str(Repeticion)])
                    Folder=pwd; % Working folder

                    file_hitos=[[trial_inputname1 num2str(trial) '_Hitos'],'.txt'];
                    ex=exist(file_hitos);
                    
                           if ex~=0
                                fileID = fopen(file_hitos);
                                C = textscan(fileID,'%s');
                                fclose(fileID);
                                a=C(1,1);
                                [r,c]=cellfun(@size,a);
                                n_hitos=(r-11)/3;         
                                row_ini(1)=1;
                                Z=zeros(n_hitos+1);
                                row_hito=Z(1,:);
                                A=cell(n_hitos+1,1);
                                T=cell(n_hitos+1,1);
                                for i=1:n_hitos+1                                    
                                            if i==n_hitos+1 

                                                A{i}=Angles(s).Angulos((row_ini(i):size(Angles(s).Tiempo,1)),:);
                                                T{i}=Angles(s).Tiempo((row_ini(i):size(Angles(s).Tiempo,1)),:);

                                            else
                                                hito{i}=C{1}{11+(i*3)}
                                                min(i)=str2num(hito{i}(4:5))% Minutos
                                                seg(i)=str2num(hito{i}(7:8))% Segundos                               
                                                if size(hito{i},2)>11
                                                    mseg(i)=str2num(hito{i}(10:12));% mili Segundos 
                                                elseif size(hito{i},2)>10 && size(hito{i},2)<12
                                                    mseg(i)=str2num(hito{i}(10:11));% mili Segundos 
                                                else
                                                    mseg(i)=str2num(hito{i}(10));
                                                end
                                                 
                                                 for j=1:size(Angles(s).Tiempo,1)

                                                     if Angles(s).Tiempo(j,2)== min(i) && Angles(s).Tiempo(j,3)== seg(i) 
                                                         if row_hito(i)==0;

                                                                row_hito(i)=j;
               

                                                                A{i}=[Angles(s).Angulos((row_ini(i):row_hito(i)),:)];
                                                                T{i}=[Angles(s).Tiempo((row_ini(i):row_hito(i)),:)];

                                                                row_ini(i+1)=row_hito(i)+1;
                                                                break
                                                         end
                                                     end
                                                end
                                            end
                                            
                                            AnglesS(k).Sujeto=Sujeto;
                                            AnglesS(k).Repeticion=Repeticion;
                                            AnglesS(k).Accion=trial;
                                            AnglesS(k).Parte=i;
                                            AnglesS(k).Angulos=A{i};
                                            AnglesS(k).Tiempo=cell2mat(T(i));
                                            k=k+1;
                                            
                                            
                                end
                                 
                           else
                                AnglesS(k).Sujeto=Angles(s).Sujeto;
                                AnglesS(k).Repeticion=Angles(s).Repeticion;
                                AnglesS(k).Accion=Angles(s).Accion;
                                AnglesS(k).Parte=1;
                                AnglesS(k).Angulos=Angles(s).Angulos;
                                AnglesS(k).Tiempo=Angles(s).Tiempo;
                                k=k+1;
                      
                           end
                           
                    cd ..; cd ..;cd ..;cd ..;
                     
                end
             end
          end
       end
    end      
    else
  for s=1:total  
  AnglesS(s).Sujeto=Angles(s).Sujeto;
  AnglesS(s).Repeticion=Angles(s).Repeticion;
  AnglesS(s).Accion=Angles(s).Accion;
  AnglesS(s).Parte=1;
  AnglesS(s).Angulos=Angles(s).Angulos;
  AnglesS(s).Tiempo=Angles(s).Tiempo;
  end
  
end


    
    
    
    
 